
/* 
 * Deprecated DNN CSS class names will remain available for some time
 * before being  permanently removed. Removal will occur according to
 * the  following process:
 *
 * 1. Removal will only occur with a major (x.y) release, never
 *    with a maintenance (x.y.z) release.
 * 2. Removal will not occur less than six months after the release
 *    when it was deprecated.
 * 3. Removal will not occur until after deprecation has been noted 
 *    in at least two major releases.
 *
 *                                              |        |Planned |
 *  Name                                        |Release |Removal |
 *----------------------------------------------+--------+--------+
 * Mod{NAME}C                                     5.6.2    6.2
 *   {NAME} = sanitized version of the DesktopModule Name 
 *   Used on <div> tag surrounding Module Content, inside container
 *----------------------------------------------+--------+--------+
 */  



/* PAGE BACKGROUND */
/* background color for the header at the top of the page  */
.HeadBg {
}

/* background color for the content part of the pages */
Body
{
}

.ControlPanel {
}

/* background/border colors for the selected tab */
.TabBg {
}

.LeftPane  { 
}

.ContentPane  { 
}

.RightPane  { 
}

/* text style for the selected tab */
.SelectedTab {
}

/* hyperlink style for the selected tab */
A.SelectedTab:link {
}

A.SelectedTab:visited  {
}

A.SelectedTab:hover    {
}

A.SelectedTab:active   {
}

/* text style for the unselected tabs */
.OtherTabs {
}
    
/* hyperlink style for the unselected tabs */
A.OtherTabs:link {
}

A.OtherTabs:visited  {
}

A.OtherTabs:hover    {
}

A.OtherTabs:active   {
}

/* GENERAL */
/* style for module titles */
.Head   {
}

/* style of item titles on edit and admin pages */
.SubHead    {
}

/* module title style used instead of Head for compact rendering by QuickLinks and Signin modules */
.SubSubHead {
}

/* text style used for most text rendered by modules */
.Normal
{
}

/* text style used for textboxes in the admin and edit pages, for Nav compatibility */
.NormalTextBox
{
}

.NormalRed
{
}

.NormalBold
{
}

/* text style for buttons and link buttons used in the portal admin pages */
.CommandButton     {
}
    
/* hyperlink style for buttons and link buttons used in the portal admin pages */
A.CommandButton:link {
}

A.CommandButton:visited  {
}

A.CommandButton:hover    {
}
    
A.CommandButton:active   {
}

/* button style for standard HTML buttons */
.StandardButton     {
}

/* GENERIC */
H1  {
}

H2  {
}

H3  {
}

H4  {
}

H5, DT  {
}

H6  {
}

TFOOT, THEAD    {
}

TH  {
}

A:link  {
}

A:visited   {
}

A:hover {
}

A:active    {
}

SMALL   {
}

BIG {
}

BLOCKQUOTE, PRE {
}


UL LI   {
}

UL LI LI    {
}

UL LI LI LI {
}

OL LI   {
}

OL OL LI    {
}

OL OL OL LI {
}
OL UL LI   {
}

HR {
}

/* MODULE-SPECIFIC */
/* text style for reading messages in Discussion */    
.Message    {
}   

/* style of item titles by Announcements and events */
.ItemTitle    {
}

/* Menu-Styles */
/* Module Title Menu */
.ModuleTitle_MenuContainer {
}

.ModuleTitle_MenuBar {
}

.ModuleTitle_MenuItem {
}

.ModuleTitle_MenuIcon {
}

.ModuleTitle_SubMenu {
}

.ModuleTitle_MenuBreak {
}

.ModuleTitle_MenuItemSel {
}

.ModuleTitle_MenuArrow {
}

.ModuleTitle_RootMenuArrow {
}

/* Main Menu */

.MainMenu_MenuContainer {
}

.MainMenu_MenuBar {
}

.MainMenu_MenuItem {
}

.MainMenu_MenuIcon {
}

.MainMenu_SubMenu {
}

.MainMenu_MenuBreak {
}

.MainMenu_MenuItemSel {
}

.MainMenu_MenuArrow {
}

.MainMenu_RootMenuArrow {
}

/* Login Styles */
.LoginPanel{
}

.LoginTabGroup{
}

.LoginTab {
}

.LoginTabSelected{
}

.LoginTabHover{
}

.LoginContainerGroup{
}

.mainContent *, h1, h2,h3,h4,h5,h6 {
 font-family: Alexandria, sans-serif, Arial !important;
}

.dnnModuleDialog .dnnPageContainer {
  width: unset !important;
  height: unset !important;
}

html[lang="ar-SA"] .editbar, html[lang="ar-SA"] #edit-bar {
 right: -130px;
}

html[lang="ar-SA"] #siteWrapper .header-content .header-search {
  padding-left: 0;
  padding-right: 20px;
  margin-left: 0;
  margin-right: 20px;
  border-left: 0;
  border-right: 1px solid rgba(2, 6, 32, 0.1);
}

.LoginContainer, .DnnModule-BAJ_ADLogin{
  min-height: calc(100vh - 150px);
  padding-top: 150px;
  background-color: var(--primary-color-blue);
}

html[lang="ar-sa"] h2 {
  line-height: 1.6;
}

html[lang="ar-sa"] h1, h3, h4, h5, h6 {
  line-height: 1.4;
}

section {
 max-width: unset !important;
}

html[lang=ar-sa] #ajb-nav-close {
 margin: 0 auto 0 0;
}

.owl-stage-outer {
    overflow: visible !important;
  }

  #dots-container {
    display: flex;
    flex: 1;
    justify-content: left;
    gap: 10px;
  }

  #dots-container .owl-dot {
    width: 12px;
    aspect-ratio: 1/1;
    border-radius: 50%;
    background-color: var(--primary-color-air) !important;
    display: inline-block;
    border: 0;
  }

  #dots-container .owl-dot.active {
    background-color: var(--primary-color-deep-blue) !important;
  }

  .expand-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 10px;
    padding: 20px;
  }

  .expand-card {
    position: relative;
    flex: 1;
    /* Default equal width */
    overflow: hidden;
    border-radius: 15px;
    transition: all 0.5s ease-in-out;
    cursor: pointer;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  }

  /* The Expansion Logic */
  /* .expand-container:hover .expand-card { */
  /*  flex: 0.5; */
    /* Shrink others slightly when container is hovered */
  /* } */

  .expand-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.8);
    transition: transform 0.5s ease;
  }

  .expand-card:hover img {
    filter: brightness(1);
  }

  /* Text Overlay */
  .expand-card .card-content {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 20px 20px 0 0;
    /* background: linear-gradient(transparent, rgba(0,0,0,0.8)); */
    color: white;
    white-space: nowrap;
    /* Keeps text from wrapping awkwardly during animation */
  }

  .expand-card .card-content>div {
    transform: rotate(0deg);
    background-color: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(10px);
    padding: 14px 12px;
    color: var(--primary-color-air);
    border-radius: 0 5px 0 0;
  }

  .expand-card .card-content h6 {
    margin: 0;
    opacity: 0.8;
  }

  /* Text Overlay */
  .expand-card:hover .card-content {
    left: 0;
    right: unset;
    padding: 20px 20px 20px 0;
    transition: left 0.5s ease, right 0.5s ease;
  }

  .expand-card:hover .card-content>div {
    transform: rotate(0deg);
    writing-mode: unset;
    padding: 14px 12px;
    border-radius: 0 5px 5px 0;
    background-color: var(--primary-color-blue);
  }

  #Aljazira-Bank-App .owl-item {
    color: var(--primary-color-deep-blue);
  }

  #Aljazira-Bank-App .owl-item.active {
    color: var(--primary-color-blue);
  }

  #Aljazira-Bank-App .owl-item.active svg {
    color: var(--primary-color-blue) !important;
  }

   #fawri-form input[type=text],
    #fawri-form input[type=email],
    #fawri-form input[type=number],
    #fawri-form textarea,
    #fawri-form select {
      border-radius: 25px !important;
      color: var(--primary-color-air) !important;
      background-color: var(--primary-color-air-20p) !important;
      border: 0 !important;
    }

   html[lang=ar-sa] #fawri-form .checkbox label {
      text-align: right;
     display:block;
    }

    #fawri-form .checkbox label span, #fawri-form .checkbox label a {
      color: var(--primary-color-air) !important;
    }

    #fawri-form option {
      color: var(--primary-color-deep-blue);
    }
    #fawri-form ::placeholder {
      color: var(--primary-color-air) !important;
      opacity: 0.5;
    }

    #fawri-form ::-ms-input-placeholder {
      color: var(--primary-color-air) !important;
      opacity: 0.5;
    }

    #fawri-form .help-block.alpaca-message {
      color: rgb(248, 80, 80) !important;
    }

  @media screen and (max-width: 991px) {
    #navbar .nav-item a.nav-link {
      font-size: 10px;
    }
  }

  @media screen and (min-width: 992px) {
    .expand-container {
      flex-direction: row;
    }

    /* Text Overlay */
    .expand-container .card-content {
      left: unset;
      right: 0;
      padding: 20px 20px 0 20px;
    }

    .expand-container .card-content>div {
      transform: rotate(180deg);
      writing-mode: vertical-rl;
      padding: 32px 24px;
      border-radius: 0 0 15px 15px;
    }

    .expand-card:hover .card-content>div {
      padding: 24px 32px;
      border-radius: 0 15px 15px 0;
    }

    .expand-container .expand-card:hover {
      flex: 4;
    }
  }

@media (min-width: 1200px) {
  .w-xl-25p {
  width: 25% !important;
  }
  
   .w-xl-35p {
  width: 35% !important;
  }
  
  .w-xl-50p {
  width: 50% !important;
  }
  
  .w-xl-75p {
  width: 75% !important;
  }
  
  .w-xl-100p {
    width: 100% !important;
  }
  
  .w-xl-250px {
    width: 250px !important;
  }
  
  .align-items-xl-start {
   align-items: flext-start !important;
  }
  
  .align-items-xl-end {
   align-items: flext-end !important;
  }
  
  .mb-xl-5 {
    margin-bottom: 3rem !important;
  }
  
  .mt-xl-5 {
    margin-top: 3rem !important;
  }
  
  .d-xl-none {
    display: none !important;
  }
}
